Authentication Login
When a user accesses an integrated application, the application initiates a CAS-based authentication login (redirect method) to the platform. After the user enters the username and password and the authentication is successful, the platform redirects back to the application, carrying the ticket parameter to pass the Service Ticket.
Request Description
http
GET https://{your_domain}/api/v1/cas/loginRequest Parameters
| Parameter Name | Chinese Name | Required | Example Value | Description |
|---|---|---|---|---|
| service | Callback Address | Yes | The address where the application accepts the ticket, URL-encoded, and must be consistent with the application Service address configured in the application CAS configuration. |
Request Example
https://{your_domain}/api/v1/cas/login?service=http://casdemo.bccastle.com/demo/indexResponse Parameters
| Parameter Name | Chinese Name | Required | Example Value | Description |
|---|---|---|---|---|
| ticket | Ticket | Yes | S8Glha6CQmNzvA | After successful authentication login or already logged in, redirects to the service address with a Service Ticket. Note: This ticket is valid for 5 minutes and can only be used once within the validity period. |
Response Example
http
HTTP Status: 302 REDIRECT
{redirect_uri}?ticket=ST-8Glha6c7BXTDsSoIc1T8Jh0wPCQmNzvA